go-unifi

List Networks

Retrieve a paginated list of all Networks on a site. <details> <summary>Filterable properties (click to expand)</summary> |Name|Type|Allowed functions| |-|-|-| |`management`|`STRING`|`eq` `ne` `in` `notIn`| |`id`|`UUID`|`eq` `ne` `in` `notIn`| |`name`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`enabled`|`BOOLEAN`|`eq` `ne`| |`vlanId`|`INTEGER`|`eq` `ne` `gt` `ge` `lt` `le` `in` `notIn`| |`deviceId`|`UUID`|`eq` `ne` `in` `notIn` `isNull` `isNotNull`| |`metadata.origin`|`STRING`|`eq` `ne` `in` `notIn`| </details>

GET
/v1/sites/{siteId}/networks

Retrieve a paginated list of all Networks on a site.

NameTypeAllowed functions
managementSTRINGeq ne in notIn
idUUIDeq ne in notIn
nameSTRINGeq ne in notIn like
enabledBOOLEANeq ne
vlanIdINTEGEReq ne gt ge lt le in notIn
deviceIdUUIDeq ne in notIn isNull isNotNull
metadata.originSTRINGeq ne in notIn
X-Api-Key<token>

UniFi API key. Create one under Control Plane → Admins & Users → your admin → Create API Key (requires controller 9.0.114+).

In: header

Path Parameters

siteId*string

Query Parameters

offset?integer
limit?integer
filter?string

Response Body

application/json

curl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/networks"
{  "offset": 0,  "limit": 25,  "count": 10,  "totalCount": 1000,  "data": [    {      "management": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "Default Network",      "enabled": true,      "vlanId": 1,      "metadata": {        "origin": "string"      },      "default": true    }  ]}